Bug 1185685 (CVE-2018-25010)

Summary: VUL-0: CVE-2018-25010: libwebp: heap-based buffer overflow in ApplyFilter()
Product: [Novell Products] SUSE Security Incidents Reporter: Gianluca Gabrielli <gianluca.gabrielli>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: mgorse, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/283427/
Whiteboard: CVSSv3.1:SUSE:CVE-2018-25010:9.1:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Gianluca Gabrielli 2021-05-05 17:11:07 UTC
CVE-2018-25010

A heap-based buffer overflow was found in libwebp in versions before 1.0.1 in ApplyFilter().

Reference:
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=9105

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1956918
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-25010
Comment 1 Gianluca Gabrielli 2021-05-05 17:11:32 UTC
Upstream patch here [0].

Affected packages:

- SUSE:SLE-12-SP1:Update/libwebp 0.4.3
- SUSE:SLE-15:Update/libwebp     0.5.0

[0] https://chromium.googlesource.com/webm/libwebp/+/1344a2e947c749d231141a295327e5b99b444d63%5E%21/#F0
Comment 6 Swamp Workflow Management 2021-06-02 16:19:37 UTC
SUSE-SU-2021:1830-1: An update that fixes 9 vulnerabilities is now available.

Category: security (critical)
Bug References: 1185652,1185654,1185673,1185674,1185685,1185686,1185690,1185691,1186247
CVE References: CVE-2018-25009,CVE-2018-25010,CVE-2018-25011,CVE-2018-25012,CVE-2018-25013,CVE-2020-36329,CVE-2020-36330,CVE-2020-36331,CVE-2020-36332
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    libwebp-0.4.3-4.7.1
SUSE OpenStack Cloud Crowbar 8 (src):    libwebp-0.4.3-4.7.1
SUSE OpenStack Cloud 9 (src):    libwebp-0.4.3-4.7.1
SUSE OpenStack Cloud 8 (src):    libwebp-0.4.3-4.7.1
SUSE OpenStack Cloud 7 (src):    libwebp-0.4.3-4.7.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libwebp-0.4.3-4.7.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    libwebp-0.4.3-4.7.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libwebp-0.4.3-4.7.1
SUSE Linux Enterprise Server 12-SP5 (src):    libwebp-0.4.3-4.7.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    libwebp-0.4.3-4.7.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libwebp-0.4.3-4.7.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libwebp-0.4.3-4.7.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libwebp-0.4.3-4.7.1
HPE Helion Openstack 8 (src):    libwebp-0.4.3-4.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-06-04 10:35:12 UTC
SUSE-SU-2021:1860-1: An update that fixes 10 vulnerabilities is now available.

Category: security (critical)
Bug References: 1185652,1185654,1185673,1185674,1185685,1185686,1185688,1185690,1185691,1186247
CVE References: CVE-2018-25009,CVE-2018-25010,CVE-2018-25011,CVE-2018-25012,CVE-2018-25013,CVE-2020-36328,CVE-2020-36329,CVE-2020-36330,CVE-2020-36331,CVE-2020-36332
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    libwebp-0.5.0-3.5.1
SUSE Manager Retail Branch Server 4.0 (src):    libwebp-0.5.0-3.5.1
SUSE Manager Proxy 4.0 (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise Server for SAP 15 (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise Server 15-LTSS (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    libwebp-0.5.0-3.5.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    libwebp-0.5.0-3.5.1
SUSE Enterprise Storage 6 (src):    libwebp-0.5.0-3.5.1
SUSE CaaS Platform 4.0 (src):    libwebp-0.5.0-3.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-07-10 22:31:38 UTC
openSUSE-SU-2021:1860-1: An update that fixes 10 vulnerabilities is now available.

Category: security (critical)
Bug References: 1185652,1185654,1185673,1185674,1185685,1185686,1185688,1185690,1185691,1186247
CVE References: CVE-2018-25009,CVE-2018-25010,CVE-2018-25011,CVE-2018-25012,CVE-2018-25013,CVE-2020-36328,CVE-2020-36329,CVE-2020-36330,CVE-2020-36331,CVE-2020-36332
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    libwebp-0.5.0-3.5.1
Comment 9 Marcus Meissner 2021-09-01 11:44:17 UTC
released